#
# Copyright (c) 2009-2014 NetApp Inc.
# All rights reserved.
#
## @summary This exception is thrown when there is an internal MetroCluster
##          or VDR error.
##
## @author dl-nacl-dev@netapp.com
## @status private
## @pod here

=pod

=head1 Package Name

NACL::Exceptions::InternalMCCOrVDRError

=head1 Author

dl-nacl-dev@netapp.com

=head1 Description

This exception is thrown when there is an internal MetroCluster or VDR error.

=head1 See Also

Package inherits from the following modules. See these modules for further 
interface detail.

B<NACL/APISet/Exceptions/ResponseException.pm>

=cut

package NACL::APISet::Exceptions::InternalMCCOrVDRError;
use base qw(NACL::APISet::Exceptions::ResponseException);
1;
