# $Id: //depot/prod/test/nacldev/lib/NACL/APISet/Response/SNMP/CMode.pm#1 $

# Copyright (c) 2001-2010 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary Response class for SNMP CMode APISet
## @author Isshwarya.M@netapp.com, dl-nacl-dev@netapp.com
## @status Shared
## @pod here

package NACL::APISet::Response::SNMP::CMode;

use strict;
use warnings;

use base qw(NACL::APISet::Response::SNMP);

use NATE::Log qw(log_global);
my $Log = log_global();
my $may_enter = $Log->may_enter();
my $may_exit  = $Log->may_exit();
use Params::Validate qw(:all);
use Data::Dumper;

1;

##############################################################################
#                                    POD here
##############################################################################

=head1 NAME

NACL::APISet::Response::SNMP::CMode - CMode SNMP Response class

=head1 SYNOPSIS

 use NACL::APISet::Response::SNMP::CMode;

=head1 DESCRIPTION

A C<NACL::APISet::Response::SNMP::CMode> object is used to recieve, parse and hold
the output from CMode SNMP API methods.

=cut

