#
# Copyright (c) 2016 NetApp Inc.
# All rights reserved.
#
## @summary An exception for, when an attempt is made to operate on network cloud routing table element
## which is non-existent.
##
## @author dl-nacl-dev@netapp.com
## @status Shared
## @pod here

=head1 NAME

NACL::C::Exceptions::NetworkCloudRoutingTable::AlreadyExists

=head1 DESCRIPTION

This exception is thrown when a attempt is made to perform an operation on a network cloud routing table element
which already exists .

=cut

package NACL::C::Exceptions::NetworkCloudRoutingTable::AlreadyExists;

use Tharn qw();
use base qw(
    NACL::C::Exceptions::AlreadyExists
);
1;
