
#
# Copyright (c) 2014 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary ComponentState module for the method NACL::C::AggreagteFile->DumpblockInfo()
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::AggreagteFileDumpblockInfo

=head1 DESCRIPTION

This component is linked to
L<NACL::CS::VolumeFileDumpblockInfo|lib-NACL-CS-VolumeFileDumpblockInfo-pm>, since
DumpblockInfo is same for VolumeFile and AggregateFile.
The implementation and documentation of provided functionality is present in
L<NACL::CS::VolumeFileDumpblockInfo|lib-NACL-CS-VolumeFileDumpblockInfo-pm>.

=cut

package NACL::CS::AggregateFileDumpblockInfo;
use base qw(NACL::CS::VolumeFileDumpblockInfo);


1;
