# $Id: //depot/prod/test/nacldev/lib/NACL/CS/DiagSecdAuthenticationSidToUnixName.pm#1 $

#
# Copyright (c) 2012 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary DiagSecdAuthenticationSidToUnixName ComponentState Module
## @author jais@netapp.com, dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::DiagSecdAuthenticationSidToUnixName

=head1 DESCRIPTION

This module does not represent the state of any element, but is an object
representation of the output of Diag Secd Authentication

=head1 ATTRIBUTES

The individual pieces of data that are part of the  state of the DiagSecdAuthenticationSidToUnixName
element are the attributes of the DiagSecdAuthenticationSidToUnixName ComponentState.

=over

=item C<< vserver >>

Filled in for CMode CLI.

=item C<< node >>

Filled in for CMode CLI.

=item C<< sid >>

Filled in for CMode CLI.

=item C<< unix_name >>

Filled in for CMode CLI.

=item C<< sid_type >>

Filled in for CMode CLI.

=item C<< domain_name >>

Filled in for CMode CLI.

=item C<< windows_name >>

Filled in for CMode CLI.

=back

=cut

package NACL::CS::DiagSecdAuthenticationSidToUnixName;

use strict;
use warnings;
use base qw(NACL::CS::ComponentState::ONTAP);
use Class::MethodMaker [
    scalar => 'vserver',
    scalar => 'node',
    scalar => 'sid',
    scalar => 'unix_name',
    scalar => 'sid_type',
    scalar => 'domain_name',
    scalar => 'windows_name',
];

1;
