# Copyright (c) 2014 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary VserverServicesNameServiceGetxxbyyyGetgrbyid ComponentState Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyid.pm

=head1 DESCRIPTION

C<NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyid.pm> is a derived class of
L<NACL::CS::ComponentState::ONTAP|lib-NACL-CS-ComponentState-ONTAP-pm>. Object(s) of this
type are returned when NACL::C::VserverServicesNameServiceGetxxbyyy->getgrbygid() is invoked.

(This module does not represent the state of any element, but is an object
representation of the output obtained when the getxxbyyy getgrbygid is queried to
get the Group name by using the GroupId.

=head1 ATTRIBUTES

The fields of the output are fields of the ComponentState object.

=over

=item C<< group_name >>

=item C<< group_id >>

=item C<< group_member >>

=back

=cut

package NACL::CS::VserverServicesNameServiceGetxxbyyyGetgrbyid;

use base 'NACL::CS::ComponentState::ONTAP';

use Class::MethodMaker [
    scalar  => 'group_name',
    scalar  => 'group_id',
    scalar  => 'group_member',
];


1;
