#
# $Id$
#
# Copyright (c) 2009-2011 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          NATE::BaseException that will be thrown when the
##          number of component state objects returned didnt  
##          as expected
##
## @author  dl-nacl-dev@netapp.com
## @status Shared
## @pod here

=pod

=head1 Package Name

NACL::Exceptions::VerifyCountFailure

=head1 Author/Maintainer

dl-nacl-dev

=head1 Description

An exception thrown by the component method find or fetch when there is 
a count mismatch 

=cut

package NACL::Exceptions::VerifyCountFailure;
use base qw(NATE::BaseException);
1;
