=head1 NAME

NACL::STask::LunPortset

=head1 DESCRIPTION

C<NACL::STask::LunPortset> provides a number of well-defined but potentially
 complex or multi-step methods related to Volume Quota Policy in ONTAP.

It is created on top of C<NACL::C::LunPortset> component
Since it is derived class of C<NACL::C::LunPortset>,
we can use all the methods of C<NACL::C::LunPortset>
from the object of this task.


=head1 METHODS

=head2 create

L<< NACL::STask::STask->create_method_builder|lib-NACL-STask-STask-pm/create_method_builder >>

=head2 purge

L<< NACL::STask::STask->purge_method_builder|lib-NACL-STask-STask-pm/purge_method_builder >>

=cut

package NACL::STask::LunPortset;

use base qw(NACL::C::LunPortset NACL::STask::STask);


__PACKAGE__->create_method_builder();

__PACKAGE__->purge_method_builder();

1;
