#
# Copyright (c) 2017 NetApp, Inc., All Rights Reserved.
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

package NACL::ServiceAPI::SMAgent;

use strict;
use warnings;

use parent qw(NATE::ServiceAPI);

sub new {
    my ($class, %opts) = @_;

    my $svc_class = 'NACL::Service::SMAgent';

    my $self = $class->SUPER::new(type          => 'SMAgent',
                                  service_class => $svc_class,
                                  language      => 'perl',
                                  %opts);
    $self->_generate_capabilities(namespace => $svc_class);

    return $self;
}

1;
