#
# Copyright (c) 2015 NetApp, Inc., All Rights Reserved.
#   Any other use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

package NACL::UnitTest::AppBuilder::EnGenX::EnGenX_Xgen_Demo::Demo2;

use strict;
use warnings;

use parent qw( NACL::UnitTest::AppBuilder::EnGenX::EnGenX_Xgen_Demo::Demo1 );

# These are the constant values that determine what happens in the config.
# In this config we just want to update the numbers from Demo1.
# In this config we will create 2 vserver and 4 volumes.
use constant TOTAL_VSERVER_COUNT => 2;
use constant TOTAL_VOLUME_COUNT => 4;

1;

__END__

=head1 NAME

PTEFIT::Xgen::Config::Example

=head1 AUTHOR/MAINTAINER

=over

=item PTEFIT AUTOMATION (ng-ptefit-automation-core@netapp.com)

=back

   Last revised $Date: $ by $Author: $

=cut
