#
# Copyright (c) 2009-2014 NetApp Inc.
# All rights reserved.
#
## @summary This exception is thrown when a command is invoked on a vserver
##          which is locked for a baseline transfer.
##
## @author dl-nacl-dev@netapp.com
## @status private
## @pod here

=pod

=head1 Package Name

NACL::Exceptions::VserverLockedRecordingBaselineTransfer

=head1 Author

dl-nacl-dev@netapp.com

=head1 Description

This exception is thrown when a command is invoked on a vserver which is
locked for a baseline transfer.

=head1 See Also

Package inherits from the following modules. See these modules for further 
interface detail.

B<NACL/APISet/Exceptions/ResponseException.pm>

=cut

package NACL::APISet::Exceptions::VserverLockedRecordingBaselineTransfer;
use base qw(NACL::APISet::Exceptions::ResponseException);
1;
