#$Id: //depot/prod/test/nacldev/lib/NACL/APISet/Switch/CLI/NetAppNetwork/CN1610/configure.pm#1 $
#
#Copyright (c) 2012 Network Appliance, Inc.
#All rights reserved.
#
## @summary : configure command
##
## @description
##    This is a library to parse the raw output of NetAppNetwork switch configure command.
##
## @synopsis
##  use NACL::APISet::Switch::CLI::NetAppNetwork::CN1610::configure
##
##  configure(%args)
##
## @author veerap@netapp.com, dl-nacl-dev@netapp.com
##
## @status public
#
package NACL::APISet::Switch::CLI::NetAppNetwork::CN1610::configure;

use strict;
## @name ::configure
##
## @summary Parses the raw output from the "configure" command
##
## @description
##    This method can be used for parsing the raw output obtained after calling
##    the method from configure with any of its options as described in the
##    corresponding cdef file 'configure.cdefs'
## @synopsis
##      configure(%args);
## INPUTS TO METHOD CALL 'configure' ON APISET OBJECT
## <table border = "1" >
## <tr> <th> OPTION </th> <th> PROGRAMMATIC NAME </th> <th> BOOLEAN OPTION </th> </tr>
## </table>
## @arg %args Required:
## response_object => The response object that was constructed (containing the
##                    raw output, command line constructed and execution status)
## @return
## Returns an array reference which contains the parsed output.
## @examples

sub configure {
    return [];
}
1;
