#$Id: //depot/prod/test/nacldev/lib/NACL/APISet/Switch/CLI/NetAppNetwork/CN1610/exit.pm#1 $
#
#Copyright (c) 2012 Network Appliance, Inc.
#All rights reserved.
#
## @summary : exit command
##
## @description
##    This is a library to parse the raw output of NetAppNetwork switch exit command.
##
## @synopsis
##  use NACL::APISet::Switch::CLI::NetAppNetwork::CN1610::exit
##
##  exit(%args)
##
## @author veerap@netapp.com, dl-nacl-dev@netapp.com
##
## @status public
#
package NACL::APISet::Switch::CLI::NetAppNetwork::CN1610::exit;

use strict;
## @name ::exit
##
## @summary Parses the raw output from the "exit" command
##
## @description
##    This method can be used for parsing the raw output obtained after calling
##    the method from exit with any of its options as described in the
##    corresponding cdef file 'exit.cdefs'
## @synopsis
##      exit(%args);
## INPUTS TO METHOD CALL 'exit' ON APISET OBJECT
## <table border = "1" >
## <tr> <th> OPTION </th> <th> PROGRAMMATIC NAME </th> <th> BOOLEAN OPTION </th> </tr>
## </table>
## @arg %args Required:
## response_object => The response object that was constructed (containing the
##                    raw output, command line constructed and execution status)
## @return
## Returns an array reference which contains the parsed output.
## @examples

sub exit {
    return [];
}
1;
