#
# Copyright (c) 2014 NetApp Inc.
# All rights reserved.
#
## @summary An exception for when an attempt is made to get the block
##          information for a block that is a hole.
##
## @author madhavs@netapp.com, dl-nacl-dev@netapp.com
## @status Shared
## @pod here

=head1 NAME

NACL::C::Exceptions::AggregateFile::BlockIsAHole

=head1 DESCRIPTION

This component is linked to
L<NACL::C::Exceptions::VolumeFile::BlockIsAHole|lib-NACL-C-Exceptions-VolumeFile-BlockIsAHole-pm>, since
BlockIsAHole Exception is same for VolumeFile and AggregateFile.
The implementation and documentation of provided functionality is present in
L<NACL::C::Exceptions::AggregateFile::BlockIsAHole|lib-NACL-C-Exceptions-AggregateFile-BlockIsAHole-pm>.

=cut

package NACL::C::Exceptions::AggregateFile::BlockIsAHole;

use base qw(NACL::C::Exceptions::VolumeFile::BlockIsAHole);

1;
