
#
# Copyright (c) 2001-2012 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary FcpAdapter Component Module
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::C::FcpAdapter

=head1 DESCRIPTION

This component is an alias of L<NACL::C::NetworkFcpAdapter|lib-NACL-C-NetworkFcpAdapter-pm>.
The implementation and documentation of provided functionality is present in
L<NACL::C::NetworkFcpAdapter|lib-NACL-C-NetworkFcpAdapter-pm>.

(If a component 'aliascomp' is said to be an alias of component 'comp', then the
same functionality that is present in component 'comp' is also provided by
component 'aliascomp'.)

=cut

package NACL::C::FcpAdapter;
use NACL::CS::FcpAdapter;
use base 'NACL::C::NetworkFcpAdapter';
sub _real_component { 'NACL::C::NetworkFcpAdapter' }
1;
