#
# Copyright (c) 2001-2013 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary Common methods for the NetworkConnectionsOptionsBuffer Component and ComponentState
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

package NACL::C::_Mixins::NetworkConnectionsOptionsBuffer;

use strict;
use warnings;

BEGIN {
    use Exporter qw(import);
    our @EXPORT_OK = qw( _common_zapi_copy );
    our %EXPORT_TAGS = ( 'all' => \@EXPORT_OK );
}

sub _common_zapi_copy {
    my @copy = ( qw(protocol network service receive-buffer receive-auto-tune ) );
   return wantarray ? @copy : \@copy;
}

1;
