
#
# Copyright (c) 2014 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary ComponentState module for the method NACL::C::AggregateFile->showfh()
## @author dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::AggregateFileShowfh

=head1 DESCRIPTION

This component is linked to
L<NACL::CS::VolumeFileShowfh|lib-NACL-CS-VolumeFileShowfh-pm>, since
Showfh is same for VolumeFile and AggregateFile.
The implementation and documentation of provided functionality is present in
L<NACL::CS::VolumeFileShowfh|lib-NACL-CS-VolumeFileShowfh-pm>.

=cut

package NACL::CS::AggregateFileShowfh;
use base qw(NACL::CS::VolumeFileShowfh);

1;
