# $Id: //depot/prod/test/nacldev/lib/NACL/CS/DiagSecdAuthenticationShowOntapAdminUnixCreds.pm#1 $

#
# Copyright (c) 2012 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary DiagSecdAuthenticationShowOntapAdminUnixCreds ComponentState Module
## @author jais@netapp.com, dl-nacl-dev@netapp.com
## @status shared
## @pod here

=head1 NAME

NACL::CS::DiagSecdAuthenticationShowOntapAdminUnixCreds

=head1 DESCRIPTION

This module does not represent the state of any element, but is an object
representation of the output of Diag Secd Authentication

=head1 ATTRIBUTES

The individual pieces of data that are part of the  state of the DiagSecdAuthenticationShowOntapAdminUnixCreds
element are the attributes of the DiagSecdAuthenticationShowOntapAdminUnixCreds ComponentState.

=over

=item C<< user_id >>

Filled in for CMode CLI.

=item C<< group_id >>

Filled in for CMode CLI.

=item C<< home_directory >>

Filled in for CMode CLI.

=item C<< login_shell >>

Filled in for CMode CLI.

=item C<< unix_user_name >>

Filled in for CMode CLI.

=back

=cut

package NACL::CS::DiagSecdAuthenticationShowOntapAdminUnixCreds;

use strict;
use warnings;
use base qw(NACL::CS::ComponentState::ONTAP);
use Class::MethodMaker [
    scalar => 'user_id',
    scalar => 'group_id',
    scalar => 'home_directory',
    scalar => 'login_shell',
    scalar => 'unix_user_name',
    scalar => 'user_name',
];

1;
