=head1 NAME

NACL::Exceptions::ClusterRingError

=head1 DESCRIPTION

The rings of the cluster are in an unhealthy state.

=head1 EXAMPLE

   use NACL::Exceptions::ClusterRingError qw(:try);

   try {
       NACL::STask::Cluster->check_rings(...);
   } catch NACL::Exceptions::ClusterRingError with {
       $Log->comment("Errors encountered: " $_[0]->text());
   };

=cut

package NACL::Exceptions::ClusterRingError;
use base qw(NATE::BaseException);

1;
