#!/usr/software/bin/perl5.14.0

use strict;
use warnings;

use Test::Most import => ['!subtest'];

use NACL::UnitTest::MTask::MCC::MockObject;
use NACL::UnitTest::MTask::MCC::TestUtils ':all';
use Carp;
use Params::Validate
    qw(validate validate_with BOOLEAN HASHREF OBJECT ARRAYREF SCALAR UNDEF);

MAIN: {
    test_use_mcc();
    # Insert test subs here
    done_testing();
}

sub test_MY_TEST {

    # Create mock MCC
    my $mcc = make_mock_mcc();

    # Serialize calls to 'subtest'.
    my ($mcc_mod, $mock_subtest) = mock_subtest();

    # Insert test code here

} ## end sub test_MY_TEST



